Index: sys/dev/aac/aac_cam.c
===================================================================
RCS file: /home/ncvs/src/sys/dev/aac/aac_cam.c,v
retrieving revision 1.20.2.2
diff -u -r1.20.2.2 aac_cam.c
--- sys/dev/aac/aac_cam.c	30 Jan 2006 17:56:07 -0000	1.20.2.2
+++ sys/dev/aac/aac_cam.c	13 Dec 2006 03:08:25 -0000
@@ -414,6 +414,7 @@
 		} else {
 			ccb->ccb_h.status = CAM_REQ_CMP;
 			xpt_done(ccb);
+			mtx_unlock(&sc->aac_io_lock);
 			return;
 		}
 	default:
Index: sys/dev/aac/aac_pci.c
===================================================================
RCS file: /home/ncvs/src/sys/dev/aac/aac_pci.c,v
retrieving revision 1.54.2.4
diff -u -r1.54.2.4 aac_pci.c
--- sys/dev/aac/aac_pci.c	30 Jan 2006 17:56:07 -0000	1.54.2.4
+++ sys/dev/aac/aac_pci.c	13 Dec 2006 03:09:24 -0000
@@ -126,13 +126,13 @@
 	{0x9005, 0x0285, 0x9005, 0x0286, AAC_HWIF_I960RX, AAC_FLAGS_NO4GB |
 	 AAC_FLAGS_256FIBS, "Adaptec SCSI RAID 2120S"},
 	{0x9005, 0x0285, 0x9005, 0x0290, AAC_HWIF_I960RX, AAC_FLAGS_NO4GB,
-	 "Adaptec SCSI RAID 2410SA"},
+	 "Adaptec SATA RAID 2410SA"},
 	{0x9005, 0x0285, 0x1028, 0x0291, AAC_HWIF_I960RX, AAC_FLAGS_NO4GB,
 	 "Dell CERC SATA RAID 2"},
 	{0x9005, 0x0285, 0x9005, 0x0292, AAC_HWIF_I960RX, AAC_FLAGS_NO4GB,
-	 "Adaptec SCSI RAID 2810SA"},
+	 "Adaptec SATA RAID 2810SA"},
 	{0x9005, 0x0285, 0x9005, 0x0293, AAC_HWIF_I960RX, AAC_FLAGS_NO4GB,
-	 "Adaptec SCSI RAID 21610SA"},
+	 "Adaptec SATA RAID 21610SA"},
 	{0x9005, 0x0285, 0x103c, 0x3227, AAC_HWIF_I960RX, AAC_FLAGS_NO4GB,
 	 "HP ML110 G2 (Adaptec 2610SA)"},
 	{0x9005, 0x0286, 0x9005, 0x028c, AAC_HWIF_RKT, 0,
@@ -161,9 +161,9 @@
 	{0x9005, 0x0286, 0x9005, 0x029d, AAC_HWIF_RKT, 0,
 	 "Adaptec SATA RAID 2420SA"},
 	{0x9005, 0x0286, 0x9005, 0x029e, AAC_HWIF_RKT, 0,
-	 "ICP9024RO SATA RAID"},
+	 "ICP ICP9024RO SCSI RAID"},
 	{0x9005, 0x0286, 0x9005, 0x029f, AAC_HWIF_RKT, 0,
-	 "ICP9014RO SATA RAID"},
+	 "ICP ICP9014RO SCSI RAID"},
 	{0x9005, 0x0285, 0x9005, 0x0294, AAC_HWIF_I960RX, 0,
 	 "Adaptec SATA RAID 2026ZCR"},
 	{0x9005, 0x0285, 0x103c, 0x3227, AAC_HWIF_I960RX, 0,
@@ -185,13 +185,15 @@
 	{0x9005, 0x0285, 0x9005, 0x028f, AAC_HWIF_I960RX, 0,
 	 "Adaptec SATA RAID 2025SA ZCR"},
 	{0x9005, 0x0285, 0x9005, 0x02a4, AAC_HWIF_I960RX, 0,
-	 "ICP 9085LI SAS RAID"},
+	 "ICP ICP9085LI SAS RAID"},
 	{0x9005, 0x0285, 0x9005, 0x02a5, AAC_HWIF_I960RX, 0,
-	 "ICP 5085BR SAS RAID"},
+	 "ICP ICP5085BR SAS RAID"},
 	{0x9005, 0x0286, 0x9005, 0x02a0, AAC_HWIF_RKT, 0,
-	 "ICP9047MA SATA RAID"},
+	 "ICP ICP9047MA SATA RAID"},
 	{0x9005, 0x0286, 0x9005, 0x02a1, AAC_HWIF_RKT, 0,
-	 "ICP9087MA SATA RAID"},
+	 "ICP ICP9087MA SATA RAID"},
+	{0x9005, 0x0286, 0x1014, 0x9580, AAC_HWIF_RKT, 0,
+	 "IBM ServeRAID-8k"},
 	{0, 0, 0, 0, 0, 0, 0}
 };
 
